Approve Form Draft¶
POST /rest/asset/v1/form/{id}/approveDraft.json
Method: POST
Path: /rest/asset/v1/form/{id}/approveDraft.json
Tag: Forms
Operation ID: approveFromUsingPOST
Approves the current draft of the form. This will delete the current approved version of the form. Required Permissions: Approve Assets
Formats¶
- Request:
application/x-www-form-urlencoded - Response:
application/json
Request¶
Path parameters¶
| Name | Type | Required | Description | Constraints |
|---|---|---|---|---|
id |
integer (int32) | Yes | id |
Example request¶
Responses¶
200 — OK¶
Schema: model: ResponseOfLpFormResponse
Generated example¶
{
"errors": [
{
"code": "string",
"message": "string"
}
],
"requestId": "123",
"result": [
{
"buttonLabel": "string",
"buttonLocation": 123,
"createdAt": "2026-01-15T10:30:00Z",
"description": "string",
"folder": {
"id": 123,
"type": "Folder"
},
"fontFamily": "string",
"fontSize": "string",
"id": 123,
"knownVisitor": {
"template": "string",
"type": "string"
},
"labelPosition": "string",
"language": "string",
"locale": "string",
"name": "Example name",
"progressiveProfiling": true,
"status": "approved",
"thankYouList": [
{
"default": true,
"followupType": "string",
"followupValue": {},
"operator": "string",
"subjectField": "string",
"values": [
"string"
]
}
],
"theme": "string",
"updatedAt": "2026-01-15T10:30:00Z",
"url": "https://example.com",
"waitingLabel": "string"
}
],
"success": true,
"warnings": [
"string"
]
}
Referenced models¶
Source¶
Generated from swagger-asset.json.
Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.